## vpl-gpu-rt 25.2.6

=== debian/changelog ===
vpl-gpu-rt (25.2.6-1ppa1~noble2) noble; urgency=medium

  * debian/patches: Fix AVCd 10b 422 VPL pink corruption (Updated version)
    - 0001-Correct-luma-and-chroma-offsets.patch

 -- Cheah, Vincent Beng Keat <vincent.beng.keat.cheah@intel.com>  Wed, 3 Sep 2025 19:50:55 +0800

vpl-gpu-rt (25.2.6-1ppa1~noble1) noble; urgency=medium

  * Bump to version 25.2.6

  * d/patches: drop patches already merged
    - 0001-Encode-4k-Low-QP-corruption-issue-fix.patch
    - 0001-encode-Upstream-av1ehw-hevcehw-for-PTL.patch
    - 0002-Encode-Enable-HEVCe-Saliency-Control.patch
    - 0003-RT-Common-Upstream-more-device-IDs-for-PTL.patch
    - 0004-Common-Reclassify-status-message.patch

 -- Mustaffa, Mustamin B <mustamin.b.mustaffa@intel.com>  Sat, 23 Aug 2025 11:21:39 +0800

vpl-gpu-rt (25.2.3-1ppa1~noble5) noble; urgency=medium

  * debian/patches: Fix AVCd 10b 422 VPL pink corruption 
    - 0001-Correct-luma-and-chroma-offsets.patch

 -- Cheah, Vincent Beng Keat <vincent.beng.keat.cheah@intel.com>  Mon, 23 Jun 2025 21:30:01 +0800

vpl-gpu-rt (25.2.3-1ppa1~noble4) noble; urgency=medium

  * debian/patches: Add HEVC 422 encode for MTL/ARL
    - 0001-Encode-Enable-HEVC-VDENC-422-for-MTL-ARL.patch

 -- Hoe, Sheng Yang <sheng.yang.hoe@intel.com>  Mon, 11 Aug 2025 21:06:06 +0800

vpl-gpu-rt (25.2.3-1ppa1~noble3) noble; urgency=medium

  * debian/patches: Fix VPL Sample MJPEG 422 decode rendering
    - 0001-Jpegd-Use-VPP-for-YUV422H-RGB-CSC-if-VDSFC-not-avail.patch

 -- Hoe, Sheng Yang <sheng.yang.hoe@intel.com>  Fri, 18 Jul 2025 15:58:12 +0800

vpl-gpu-rt (25.2.3-1ppa1~noble2) noble; urgency=medium

 * debian/patches: vpl-gpu-rt: Add AVC 10b decode for PTL
   - 0001-AVCd-Add-AVC-10bit-Dec-for-PTL.patch

 -- Cheah, Vincent Beng Keat <vincent.beng.keat.cheah@intel.com>  Mon, 23 Jun 2025 21:30:01 +0800

vpl-gpu-rt (25.2.3-1ppa1~noble1) noble; urgency=medium

  * Bump to version 25.2.3
  * d/patches: rebased patches
    - 0001-avce-Use-VDEnc-for-YUY2-AYUV-RGB-formats.patch

  * d/patches: add a patches for fixed 4k encode corruption issue
    - 0001-Encode-4k-Low-QP-corruption-issue-fix.patch

  * d/patches: add enable legacy encode feature for PTL
    - 0001-encode-Upstream-av1ehw-hevcehw-for-PTL.patch
    - 0002-Encode-Enable-HEVCe-Saliency-Control.patch
    - 0003-RT-Common-Upstream-more-device-IDs-for-PTL.patch
    - 0004-Common-Reclassify-status-message.patch

  * d/patches: drop patches already merged
    - 0001-Add-BMG-E-NEX1-and-NEX2-Device-ID.patch
    - 0002-RT-Common-Add-BMG-Device-ID-for-upstream.patch

 -- Lim, Siew Hoon <siew.hoon.lim@intel.com>  Thu, 05 Jun 2025 15:44:27 +0800

vpl-gpu-rt (25.1.4-1ppa1~noble2) noble; urgency=medium

  * d/p: [RT Common] Add BMG Device ID for upstream
    - 0002-RT-Common-Add-BMG-Device-ID-for-upstream.patch 

 -- Abd Razak, Muhammad Azizul Hazim <muhammad.azizul.hazim.abd.razak@intel.com>  Wed, 21 May 2025 16:22:40 +0800

vpl-gpu-rt (25.1.4-1ppa1~noble1) noble; urgency=medium

  * Bump to version 25.1.4
  * d/p: rebased patches
    - 0001-Add-BMG-E-NEX1-and-NEX2-Device-ID.patch

 -- Lim, Siew Hoon <siew.hoon.lim@intel.com>  Thu, 27 Mar 2025 18:34:33 +0800

vpl-gpu-rt (24.4.4-1ppa1~noble2) noble; urgency=medium

  * d/p: Add Add BMG-E NX1 and NX2 device id
    - 0001-Add-BMG-E-NEX1-and-NEX2-Device-ID.patch

 -- Lim, Siew Hoon <siew.hoon.lim@intel.com>  Thu, 06 Feb 2025 09:18:58 +0800

vpl-gpu-rt (24.4.4-1ppa1~noble1) noble; urgency=medium

  * Bump to version 24.4.4

 -- Lim, Siew Hoon <siew.hoon.lim@intel.com>  Wed, 08 Jan 2025 08:22:26 +0800

vpl-gpu-rt (24.4.1-1ppa1~noble1) noble; urgency=medium

  * bump to version 24.4.1

 -- Lim, Siew Hoon <siew.hoon.lim@intel.com>  Wed, 30 Oct 2024 10:25:28 +0800

vpl-gpu-rt (24.3.2-1ppa1~noble1) noble; urgency=medium

  * bump to version 24.3.2
  * d/p: drop a list of patches already merged.
    - 0001-Encode-Add-rgb32-flag-for-BGR4-case.patch
    - 0001-RT-Common-DevID-for-Arc-A750E-and-A580E-export-fused.patch
    - 0002-JPEGe-Enable-YUV400-JPEG-Enc-support.patch
    - 0003-JPEGe-Enable-YUV400-internal-vaapi-allocator.patch

 -- Lim, Siew Hoon <siew.hoon.lim@intel.com>  Mon, 09 Sep 2024 12:22:38 +0800

vpl-gpu-rt (24.1.5-1ppa1~noble3) noble; urgency=medium

  * debian/patches: vpl-gpu-rt: Fix BGR4 and Enable YUV400 JPEG Enc (Updated version)
    - 0001-Encode-Add-rgb32-flag-for-BGR4-case.patch
    - 0003-JPEGe-Enable-YUV400-internal-vaapi-allocator.patch
  * d/patches: patch rework
    - 0001-Encode-Fix-BGR4-JPEG-Enc-internal-allocator.patch
    - 0003-JPEGe-Enable-YUV400-to-vaapi-internal-allocator.patch

 -- Cheah, Vincent Beng Keat <vincent.beng.keat.cheah@intel.com>  Thu, 4 Jul 2024 10:48:49 +0800

vpl-gpu-rt (24.1.5-1ppa1~noble2) noble; urgency=medium

  * debian/patches: Fix BGR4 and Enable YUV400 JPEG Enc
    - 0001-Encode-Fix-BGR4-JPEG-Enc-internal-allocator.patch
    - 0002-JPEGe-Enable-YUV400-JPEG-Enc-support.patch
    - 0003-JPEGe-Enable-YUV400-to-vaapi-internal-allocator.patch

 -- Cheah, Vincent Beng Keat <vincent.beng.keat.cheah@intel.com>  Tue, 20 May 2024 09:25:51 +0800

vpl-gpu-rt (24.1.5-1ppa1~noble1) noble; urgency=medium

  * New upstream release 24.1.5
  * d/patches: drop patches already merged.
    - 0001-Add-new-ARL-device-id.patch
    - 0001-Fix-SetBuffersYV12-V-U-plane-offsets-calculation.patch
    - 0001-Jpege-Enable-BGR4-JPEG-Enc-support.patch

 -- LEE CHEE YANG <chee.yang.lee@intel.com>  Wed, 08 May 2024 18:31:11 +0800

onevpl-intel-gpu (23.4.3-1ppa1~noble1) noble; urgency=medium

  * build for ubuntu 24.04.

 -- LEE CHEE YANG <chee.yang.lee@intel.com>  Wed, 17 Apr 2024 17:47:41 +0800

onevpl-intel-gpu (23.4.3-1ppa1~jammy3) jammy; urgency=medium

  * debian/patches: Add new DG2 device id
    - 0001-RT-Common-DevID-for-Arc-A750E-and-A580E-export-fused.patch

 -- Hoe, Sheng Yang <sheng.yang.hoe@intel.com>  Mon, 01 Apr 2024 10:44:29 +0800

onevpl-intel-gpu (23.4.3-1ppa1~jammy2) jammy; urgency=medium

  * debian/patches: Fix SetBuffersYV12() V & U plane offsets calculation

