## vpl-gpu-rt 25.3.4

=== debian/changelog ===
vpl-gpu-rt (25.3.4-1ppa1~noble2) noble; urgency=medium

  * debian/patches: Restructure for upstream tracking

 -- Yep, Mun Chun <mun.chun.yep@intel.com>  Thu, 23 Oct 2025 12:59:37 +0800

vpl-gpu-rt (25.3.4-1ppa1~noble1) noble; urgency=medium

  * Bump to 25.3.4

  *d/p: dropped merged patch
    - 0001-Jpegd-Use-VPP-for-YUV422H-RGB-CSC-if-VDSFC-not-avail.patch

 -- Mustamin Bin Mustaffa <mustamin.b.mustaffa@intel.com>  Wed, 08 Oct 2025 19:46:44 +0800
